org.modeshape.jcr.index.local

## Class MapDB.UniqueKeySerializer<K>

- java.lang.Object
- - org.modeshape.jcr.index.local.MapDB.UniqueKeySerializer<K>

- All Implemented Interfaces:
    Serializable, org.mapdb.Serializer<MapDB.UniqueKey<K>>
  Enclosing class:
    MapDB

      public static final class MapDB.UniqueKeySerializer<K>
      extends Object
      implements org.mapdb.Serializer<MapDB.UniqueKey<K>>, Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.mapdb.Serializer

      `org.mapdb.Serializer.CompressionWrapper<E>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Comparator<MapDB.UniqueKey<K>>` | `comparator`
    `protected org.mapdb.Serializer<K>` | `keySerializer`

    - ### Fields inherited from interface org.mapdb.Serializer

      `BASIC, BOOLEAN, BYTE_ARRAY, BYTE_ARRAY_NOSIZE, CHAR_ARRAY, DOUBLE_ARRAY, ILLEGAL_ACCESS, INT_ARRAY, INTEGER, JAVA, LONG, LONG_ARRAY, STRING, STRING_ASCII, STRING_INTERN, STRING_NOSIZE, UUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapDB.UniqueKeySerializer(org.mapdb.Serializer<K> keySerializer, Comparator<MapDB.UniqueKey<K>> comparator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MapDB.UniqueKey<K>` | `deserialize(DataInput in, int available)`
    `boolean` | `equals(Object obj)`
    `int` | `fixedSize()`
    `int` | `hashCode()`
    `void` | `serialize(DataOutput out, MapDB.UniqueKey<K> value)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### keySerializer

          protected final org.mapdb.Serializer<K> keySerializer

    - #### comparator

          protected final Comparator<MapDB.UniqueKey<K>> comparator

  - ### Constructor Detail

    - #### MapDB.UniqueKeySerializer

          public MapDB.UniqueKeySerializer(org.mapdb.Serializer<K> keySerializer,
                                   Comparator<MapDB.UniqueKey<K>> comparator)

  - ### Method Detail

    - #### deserialize

          public MapDB.UniqueKey<K> deserialize(DataInput in,
                                       int available)
                                         throws IOException

      Specified by:
        `deserialize` in interface `org.mapdb.Serializer<MapDB.UniqueKey<K>>`
      Throws:
        `IOException`

    - #### serialize

          public void serialize(DataOutput out,
                       MapDB.UniqueKey<K> value)
                         throws IOException

      Specified by:
        `serialize` in interface `org.mapdb.Serializer<MapDB.UniqueKey<K>>`
      Throws:
        `IOException`

    - #### fixedSize

          public int fixedSize()

      Specified by:
        `fixedSize` in interface `org.mapdb.Serializer<MapDB.UniqueKey<K>>`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.